<template>
  <div>
    <h1>List of Question Answers</h1>
    <ul>
      <li v-for="questionAnswer in questionAnswers" :key="questionAnswer.id">{{ questionAnswer.question }} - {{ questionAnswer.answer }}</li>
    </ul>
  </div>
</template>

<style scoped>
</style>

<script setup>
import { ref, onMounted } from 'vue';

const questionAnswers = ref([]);

onMounted(async () => {
  try {
    const response = await fetch('http://localhost:8080/api/game/question-answers');
    console.log(response)
    if (!response.ok) {
      throw new Error('Failed to fetch question answers');
    }
    questionAnswers.value = await response.json();
  } catch (error) {
    console.error('Error fetching question answers:', error);
  }
});
</script>